

	<script async src="https://cdn.jsdelivr.net/npm/prebid.js@latest/dist/not-for-prod/prebid.js"></script>
	<script >

	var pbjs = pbjs || {};
	pbjs.que = pbjs.que || [];
	var floor= "1.0000";

	function callANRenderer(bid, ad) {
		const adResponse = {
			ad: {
				video: {
					content: ad,
					player_width: 600,
					player_height: 480,
				}
			}
		}
  
		bid.renderer.push(() => {
			window.ANOutstreamVideo.renderAd({
				targetId: bid.adUnitCode,
				adResponse,
			});
		});
	  }
  
	  function render(bid) {
		  let ad = bid.ad || bid.vastXml;
  
		  if (ad) {
			  callANRenderer(bid, ad)
		  } else {
			  if (bid.vastUrl) {
				(async () => {
					ad = await fetch(resp).then(resp => resp.text());
  
					if (typeof ad === "string") {
						callANRenderer(bid, ad);
					} else {
						console.log("Invalid VAST");
					}
				})();
			  } else {
				  console.log("Invalid ad");
			  }
		  }
	  }

	/* Prebid video ad unit */
	var videoAdUnit = {
		code: "video_div",
		mediaTypes: {
			video: {
				playerSize: [600, 480],
				context: "outstream",
				mimes: ["video/mp4"],
				protocols: [1, 2, 3, 4, 5, 6, 7, 8],
				playbackmethod: [2]
			}
		},
		renderer: {
			render,
			url: "https://acdn.adnxs.com/video/outstream/ANOutstreamVideo.js"
		},
		bids: [{"bidder":"medianet","params":{"cid":"1234","crid":"1234"}},{"bidder":"onetag","params":{"pubId":"386276e072"}}]
	};

	pbjs.que.push(function() {
		pbjs.addAdUnits(videoAdUnit);
		pbjs.requestBids({
			timeout: 3000,
			bidsBackHandler: function(bids) {
				var adServerTargeting=pbjs.getAdserverTargeting();
				var highestCpmBids = pbjs.getHighestCpmBids("video_div");
				
					pbjs.renderAd(document, highestCpmBids[0].adId);
								
		
		}
	});
	
});
	</script>
	<div id="video_div"></div>
