<?php

	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	header("Access-Control-Max-Age: 3600");
	header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
	require_once '../../../../init.php';
	if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql'){
		require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
	}else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql'){
		require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
	}else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli'){
		require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
	}  
	// Required files
	require_once MAX_PATH . '/lib/OA/Dal.php';      
	require_once MAX_PATH . '/lib/OA/Admin/Option.php';
	require_once MAX_PATH . '/lib/OA/Admin/Settings.php';      
	require_once MAX_PATH . '/www/admin/config.php';
	require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

    $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	
	$draw = $_POST['draw'];
	$data = [];
	$limit = '';
	
	$rowperpage = $_POST['length']; // Rows display per page
	
	## RECORD COUNT
	if ($rowperpage == -1) {
		$limit = "";	## ALL RECORDS
	}else{
		$limit = "LIMIT ".$_POST['start'].",".$_POST['length'];	## LIMITTED RECORDS
	}
	$country_array = [ "AF" => "Afghanistan","AL" => "Albania","DZ" => "Algeria","AS" => "American Samoa","AD" => "Andorra","AO" => "Angola","AI" => "Anguilla","AQ" => "Antarctica","AG" => "Antigua and Barbuda","AR" => "Argentina","AM" => "Armenia","AW" => "Aruba","AU" => "Australia","AT" => "Austria",
"AZ" => "Azerbaijan","BS" => "Bahamas","BH" => "Bahrain","BD" => "Bangladesh","BB" => "Barbados","BY" => "Belarus","BE" => "Belgium","BZ" => "Belize","BJ" => "Benin","BM" => "Bermuda","BT" => "Bhutan","BO" => "Bolivia","BA" => "Bosnia and Herzegovina","BW" => "Botswana",
"BV" => "Bouvet Island","BR" => "Brazil","BQ" => "British Antarctic Territory","IO" => "British Indian Ocean Territory","VG" => "British Virgin Islands","BN" => "Brunei","BG" => "Bulgaria","BF" => "Burkina Faso","BI" => "Burundi","KH" => "Cambodia","CM" => "Cameroon","CA" => "Canada",
"CT" => "Canton and Enderbury Islands","CV" => "Cape Verde","KY" => "Cayman Islands","CF" => "Central African Republic","TD" => "Chad","CL" => "Chile","CN" => "China","CX" => "Christmas Island","CC" => "Cocos [Keeling] Islands","CO" => "Colombia","KM" => "Comoros",
"CG" => "Congo - Brazzaville","CD" => "Congo - Kinshasa","CK" => "Cook Islands","CR" => "Costa Rica","HR" => "Croatia","CU" => "Cuba","CY" => "Cyprus","CZ" => "Czech Republic","CI" => "Côte d’Ivoire","DK" => "Denmark","DJ" => "Djibouti","DM" => "Dominica","DO" => "Dominican Republic","NQ" => "Dronning Maud Land",
"DD" => "East Germany","EC" => "Ecuador","EG" => "Egypt","SV" => "El Salvador","GQ" => "Equatorial Guinea","ER" => "Eritrea","EE" => "Estonia","ET" => "Ethiopia","FK" => "Falkland Islands","FO" => "Faroe Islands","FJ" => "Fiji","FI" => "Finland",
"FR" => "France","GF" => "French Guiana","PF" => "French Polynesia","TF" => "French Southern Territories","FQ" => "French Southern and Antarctic Territories","GA" => "Gabon","GM" => "Gambia","GE" => "Georgia","DE" => "Germany","GH" => "Ghana","GI" => "Gibraltar","GR" => "Greece","GL" => "Greenland",
"GD" => "Grenada","GP" => "Guadeloupe","GU" => "Guam","GT" => "Guatemala","GG" => "Guernsey","GN" => "Guinea","GW" => "Guinea-Bissau","GY" => "Guyana","HT" => "Haiti","HM" => "Heard Island and McDonald Islands","HN" => "Honduras","HK" => "Hong Kong SAR China",
"HU" => "Hungary","IS" => "Iceland","IN" => "India","ID" => "Indonesia","IR" => "Iran","IQ" => "Iraq","IE" => "Ireland","IM" => "Isle of Man","IL" => "Israel","IT" => "Italy","JM" => "Jamaica","JP" => "Japan","JE" => "Jersey","JT" => "Johnston Island",
"JO" => "Jordan","KZ" => "Kazakhstan","KE" => "Kenya","KI" => "Kiribati","KW" => "Kuwait","KG" => "Kyrgyzstan","LA" => "Laos","LV" => "Latvia",
"LB" => "Lebanon","LS" => "Lesotho","LR" => "Liberia","LY" => "Libya","LI" => "Liechtenstein","LT" => "Lithuania","LU" => "Luxembourg",
"MO" => "Macau SAR China","MK" => "Macedonia","MG" => "Madagascar","MW" => "Malawi","MY" => "Malaysia","MV" => "Maldives","ML" => "Mali",
"MT" => "Malta","MH" => "Marshall Islands","MQ" => "Martinique","MR" => "Mauritania","MU" => "Mauritius","YT" => "Mayotte","FX" => "Metropolitan France",
"MX" => "Mexico","FM" => "Micronesia","MI" => "Midway Islands","MD" => "Moldova","MC" => "Monaco","MN" => "Mongolia","ME" => "Montenegro",
"MS" => "Montserrat","MA" => "Morocco","MZ" => "Mozambique","MM" => "Myanmar [Burma]","NA" => "Namibia","NR" => "Nauru","NP" => "Nepal","NL" => "Netherlands","AN" => "Netherlands Antilles","NT" => "Neutral Zone","NC" => "New Caledonia","NZ" => "New Zealand",
"NI" => "Nicaragua","NE" => "Niger","NG" => "Nigeria","NU" => "Niue","NF" => "Norfolk Island","KP" => "North Korea","VD" => "North Vietnam","MP" => "Northern Mariana Islands","NO" => "Norway","OM" => "Oman",
"PC" => "Pacific Islands Trust Territory","PK" => "Pakistan","PW" => "Palau","PS" => "Palestinian Territories","PA" => "Panama","PZ" => "Panama Canal Zone",
"PG" => "Papua New Guinea","PY" => "Paraguay","YD" => "People's Democratic Republic of Yemen","PE" => "Peru","PH" => "Philippines",
"PN" => "Pitcairn Islands","PL" => "Poland","PT" => "Portugal","PR" => "Puerto Rico","QA" => "Qatar","RO" => "Romania","RU" => "Russia",
"RW" => "Rwanda","RE" => "Réunion","BL" => "Saint Barthélemy","SH" => "Saint Helena","KN" => "Saint Kitts and Nevis","LC" => "Saint Lucia",
"MF" => "Saint Martin","PM" => "Saint Pierre and Miquelon","VC" => "Saint Vincent and the Grenadines","WS" => "Samoa","SM" => "San Marino",
"SA" => "Saudi Arabia","SN" => "Senegal","RS" => "Serbia","CS" => "Serbia and Montenegro","SC" => "Seychelles","SL" => "Sierra Leone",
"SG" => "Singapore","SK" => "Slovakia","SI" => "Slovenia","SB" => "Solomon Islands","SO" => "Somalia","ZA" => "South Africa",
"GS" => "South Georgia and the South Sandwich Islands","KR" => "South Korea","ES" => "Spain","LK" => "Sri Lanka","SD" => "Sudan",
"SR" => "Suriname","SJ" => "Svalbard and Jan Mayen","SZ" => "Swaziland","SE" => "Sweden","CH" => "Switzerland","SY" => "Syria",
"ST" => "São Tomé and Príncipe","TW" => "Taiwan","TJ" => "Tajikistan","TZ" => "Tanzania","TH" => "Thailand","TL" => "Timor-Leste",
"TG" => "Togo","TK" => "Tokelau","TO" => "Tonga","TT" => "Trinidad and Tobago","TN" => "Tunisia","TR" => "Turkey",
"TM" => "Turkmenistan","TC" => "Turks and Caicos Islands","TV" => "Tuvalu","UM" => "U.S. Minor Outlying Islands","PU" => "U.S. Miscellaneous Pacific Islands",
"VI" => "U.S. Virgin Islands","UG" => "Uganda","UA" => "Ukraine","SU" => "Union of Soviet Socialist Republics","AE" => "United Arab Emirates",
"GB" => "United Kingdom","US" => "United States","ZZ" => "Unknown or Invalid Region","UY" => "Uruguay","UZ" => "Uzbekistan","VU" => "Vanuatu",
"VA" => "Vatican City","VE" => "Venezuela","VN" => "Vietnam","WK" => "Wake Island","WF" => "Wallis and Futuna","EH" => "Western Sahara",
"YE" => "Yemen","ZM" => "Zambia","ZW" => "Zimbabwe","AX" => "Åland Islands",
];

    $dates = explode(' - ', $_POST['dates']);

$date = new DateTime();
$date=$dates[0];

$start_date = new DateTime($dates[0]);

 $end_date = new DateTime($dates[1]);

$start_date = $start_date->format('Y-m-d H:i:s');

$end_date = $end_date->format('Y-m-d')." 23:59:59";

 
	$group_by = "Group by hb.hb_bidder, hb.currency,DATE(hb.datetime), hb.network_type";

	for($i=0;$i<sizeof($_POST['attributes']);$i++){

	    $group_by .= " , ".$_POST['attributes'][$i];
	}
	
	$total_query = OA_Dal_Delivery_Query("SELECT hb.hb_bidder AS name, SUM(hb.impression) AS impression, sum(hb_wonbid) as revenue,
	hb.datetime AS date_time,hb.country as country,hb.hb_source as source,hb.hb_media as media,hb.hb_size as size,
	af.name as site, z.zonename as zone, af.affiliateid as affiliateid, z.zoneid as zoneid
	FROM dj_hb_reports AS hb
	INNER JOIN {$table_prefix}zones AS z ON z.zoneid = hb.zoneid 
	INNER JOIN {$table_prefix}affiliates AS af ON af.affiliateid = z.affiliateid 
    WHERE hb.datetime BETWEEN '".$start_date."' AND  '".$end_date."' ".$group_by."");
	
	$total_record = OA_Dal_Delivery_numRows($total_query);
	
  	$getQuery = OA_Dal_Delivery_Query("SELECT hb.hb_bidder AS name, SUM(hb.impression) AS impression, sum(hb_wonbid) as revenue, DATE(hb.datetime) AS date_time,hb.country as country,hb.hb_source as source,hb.hb_media as media, hb.hb_size as size, hb.currency as currency, hb.network_type as network,
	af.name as site, z.zonename as zone, z.ad_solt_id as adslot_id, z.adunit_id as adunit_id, af.affiliateid as affiliateid, z.zoneid as zoneid
	FROM dj_hb_reports AS hb
	INNER JOIN {$table_prefix}zones AS z ON z.zoneid = hb.zoneid 
	INNER JOIN {$table_prefix}affiliates AS af ON af.affiliateid = z.affiliateid 
   WHERE hb.datetime BETWEEN '".$start_date."' AND  '".$end_date."' ".$group_by." ORDER BY 
    hb.datetime ASC  ".$limit);
	
	while($row = OA_Dal_Delivery_fetchAssoc($getQuery)){
		$data[] = [
			'dateTime' => $row['date_time'],
			'name' => $row['name'],
			'country' => $country_array[$row['country']],
			'media' =>$row['media'],
			'size' => $row['size'],
			'source' => $row['source'],
			'site' => $row['site'],
			'zone' => $row['zone'],
			'adslot_id' => $row['adslot_id'],
			'adunit_id' => $row['adunit_id'],
			'impression' => $row['impression'],
			'wonbid' => $row['revenue'],
            "ecpm" => ($row['impression'] > 0) ? round(($row['revenue'] / $row['impression']) * 1000, 2) : 0.00,
			'currency' => $row['currency'],
			'network' => $row['network']
		];
	}
	## Response
	$response = [
		"draw" => intval($draw),
	  	"iTotalRecords" => $total_record,
	  	"iTotalDisplayRecords" => $total_record,
	  	"aaData" => $data
	];
	echo json_encode($response);
	exit();
?>
