<?php
ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL);
// Require the initialisation file
require_once '../../../../init.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Admin/TemplatePlugin.php';
require_once MAX_PATH . '/plugins/bannerTypeHtml/vastInlineBannerTypeHtml/commonAdmin.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$pageName = basename($_SERVER['SCRIPT_NAME']);
$agencyId = OA_Permission::getAgencyId();
$aEntities = array('affiliateid' => $affiliateid, 'zoneid' => $zoneid);
$aOtherPublishers = Admin_DA::getPublishers(array('agency_id' => $agencyId));
$aOtherZones = Admin_DA::getZones(array('publisher_id' => $affiliateid));
$delivery = $aOtherZones[$zoneid]['type'];
MAX_displayNavigationZone($pageName, $aOtherPublishers, $aOtherZones, $aEntities);

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$admin_path =  $GLOBALS['_MAX']['CONF']['webpath']['admin'];

$djprotocol = '';

if($GLOBALS['_MAX']['SSL_REQUEST']){
	$djprotocol='https://';
}else{
	$djprotocol='http://';
}

$path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$parth = explode('www', $path);
$root_path = $parth[0];

//~AFR PATH
$app_path = $GLOBALS['_MAX']['CONF']['dsp']['apphost'];

if($GLOBALS['_MAX']['CONF']['dsp']['appport'] != '')
{
	$app_path .= ':'.$GLOBALS['_MAX']['CONF']['dsp']['appport'];
}

if($delivery == 0 || $delivery == 1 || $delivery == 6 || $delivery == 8)
{
	//~BIDDER DETAILS
	$exst_bid = OA_Dal_Delivery_query("SELECT affiliate_id, zone_id, bidder_detail, banner_type, bidding_type, bidders, timeout, vid_details FROM {$table_prefix}djax_thirdparty_invocation WHERE affiliate_id = {$_GET['affiliateid']} AND zone_id = {$_GET['zoneid']}");

	$biddingdetails = OA_Dal_Delivery_fetchAssoc($exst_bid);
	$bidders = unserialize($biddingdetails['bidder_detail']);
	
	$tag = "";

	if($delivery == 0 || $delivery == 1){
		$tag = "async";
//		print_r($_POST);
		if($_POST["hbins_tag"]){
			$tag = $_POST["hbins_tag"];
		}
	}
//	print_r($tag);

$hbinvocation_tag = '<pre>
&lt;script type="text/javascript" &gt;
// BUILD BIDDER REQUEST
var xmlHttp = new XMLHttpRequest();
xmlHttp.open( "POST", "'.$djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/Hb-Invocation-tag.php?affiliateid='.$affiliateid.'&zoneid='.$_GET['zoneid'].'&tag='. $tag .'", false ); 
xmlHttp.getResponseHeader("Content-type", "application/json");
xmlHttp.send( null );
if(xmlHttp.responseText!="" && xmlHttp.responseText!=null && xmlHttp.responseText!="undefined"){   
	document.write (xmlHttp.responseText);
}
&lt;/script&gt;
</pre>';
}

/* $invocation = "
	<div style='height : 650px;'>
		<div>
			<div style='display : flex; font-family: 'Lucida Console','Courier New',Courier,monospace; font-size: 12px; line-height: 15px;'>
				<h2 style='text-align:center; padding: 10px; '>Headerbidding Invocation Tag</h2> 
				<img src='assets/images/copy_icon.png' style='width: 40px; cursor:pointer; ' id='copy' title='Copy'>
				<h7 style='background:#0767A8; padding: 4px; color:white; width:50px; height:15px;' id='cpy_notification'><b>Copied !</b></h7> 
			</div>

			<form id='banner_code' name='banner_code' method='POST'>
			<br><br>
			Please choose the type of internal banner invocation:
			<br><br>
			<select name='hbins_tag' id='hbins_tag' onChange='this.form.submit()'>
			<option value='0'>-- Select --</option>
			<option value='async'>Asynchronous JS Tag</option>
			<option value='iframe'>iFrame Tag</option>
			</select>
			<br>
			<hr style='margin-bottom: 7px; color: black;'>

			<div style='width : auto; height : 200px; overflow:auto; padding-left: 10px; border: 1px solid black;' id='invo_code' >".$hbinvocation_tag." </div>
			</form>
		</div>
	</div>"; */

	if(empty($bidders)){
		echo "<div class='errormessage'>
			Currently no Bidder's avaliable. Please configure atleast one Bidder.
		</div>";
	}else{
	//	print($invocation);
?>
	
	<div style='height : 650px;'>
		<div>
			<div style='display : flex; font-family: 'Lucida Console','Courier New',Courier,monospace; font-size: 12px; line-height: 15px;'>
				<h2 style='text-align:center; padding: 10px; '>Headerbidding Invocation Tag</h2> 
				<img src='assets/images/copy_icon.png' style='width: 40px; cursor:pointer; ' id='copy' title='Copy'>
				<h7 style='background:#0767A8; padding: 4px; color:white; width:50px; height:15px;' id='cpy_notification'><b>Copied !</b></h7> 
			</div>

			<form id='banner_code' name='banner_code' method='POST'>
			
			<?php if($delivery == 0 || $delivery == 1){ ?>
				<br><br>
				Please choose the type of internal banner invocation:
				<br><br>
				<select name='hbins_tag' id='hbins_tag' onChange='this.form.submit()'>
				<option value='async' <?php echo ($tag && $tag == 'async') ? 'selected' : '' ?>>Asynchronous JS Tag</option>
				<option value='iframe' <?php echo ($tag && $tag == 'iframe') ? 'selected' : '' ?>>iFrame Tag</option>
				</select>
				<br>
			<?php } ?>
			
			<hr style='margin-bottom: 7px; color: black;'>

			<div style='width : auto; height : 200px; overflow:auto; padding-left: 10px; border: 1px solid black;' id='invo_code' ><?php echo $hbinvocation_tag ?></div>
			</form>
		</div>
	</div>

<?php

	}

?>


<script type="text/javascript">
	
	$(document).ready(function()
	{
        $("#cpy_notification").hide();

        $("#copy").click(function()
        {

            $("#cpy_notification").show();
            setTimeout(function(){ $("#cpy_notification").hide(); }, 2000);

            var $temp = $("<textarea>");
            $("body").append($temp);
            $temp.val($("#invo_code").text()).select();

            document.execCommand("copy");
            $temp.remove();

        });
		
	});

</script>

<?php
	$affiliate = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("Select name from {$table_prefix}affiliates where affiliateid=".$affiliateid));
	$affiliate_name = $affiliate["name"];
?>

<script type="text/javascript">
	
	var affiliateid = '<?=$affiliateid?>';
	var link = '<?=$djprotocol?>'+'<?=$GLOBALS['_MAX']['CONF']['webpath']['admin']?>'+'/affiliate-edit.php?affiliateid='+affiliateid;
	
	$(".entityLinks").html('<span class="entityLinks"><a href="'+link+'" class="ent inlineIcon webs">Website: <?= $affiliate_name ?></a></span>');

</script>
