<?php
// Require the initialisation file
require_once '../../../../init.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Admin/TemplatePlugin.php';
require_once MAX_PATH . '/plugins/bannerTypeHtml/vastInlineBannerTypeHtml/commonAdmin.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
	
OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$pageName = basename($_SERVER['SCRIPT_NAME']);
$agencyId = OA_Permission::getAgencyId();
$aEntities = ['affiliateid' => $affiliateid, 'zoneid' => $zoneid];
$aOtherPublishers = Admin_DA::getPublishers(['agency_id' => $agencyId]);
$aOtherZones = Admin_DA::getZones(['publisher_id' => $affiliateid]);
$delivery = $aOtherZones[$zoneid]['type'];
MAX_displayNavigationZone($pageName, $aOtherPublishers, $aOtherZones, $aEntities);

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$admin_path =  $GLOBALS['_MAX']['CONF']['webpath']['admin'];

$djprotocol = '';

if ($GLOBALS['_MAX']['SSL_REQUEST']) 
{
$djprotocol='https://';
}
else
{
$djprotocol='http://';
}

$path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$parth = explode('www', $path);
$root_path = $parth[0];

//~AFR PATH
$app_path = $GLOBALS['_MAX']['CONF']['dsp']['apphost'];

if($GLOBALS['_MAX']['CONF']['dsp']['appport'] != '')
{
	$app_path .= ':'.$GLOBALS['_MAX']['CONF']['dsp']['appport'];
}

$afr_path = $djprotocol.$app_path.'/';

$js_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/js/';
$css_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/css/';
$videoads_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/VideoAds/delivery/';
$hbinvocation_tag = '';


if($delivery == 0 || $delivery == 1 || $delivery == 6 || $delivery == 8)
{
//~BIDDER DETAILS
$exst_bid = OA_Dal_Delivery_query("SELECT affiliate_id, zone_id, bidder_detail, banner_type, bidding_type, bidders, timeout, vid_details FROM {$table_prefix}djax_thirdparty_invocation WHERE affiliate_id = {$_GET['affiliateid']} AND zone_id = {$_GET['zoneid']}");

$biddingdetails = OA_Dal_Delivery_fetchAssoc($exst_bid);
$bidders = unserialize($biddingdetails['bidder_detail']);


// $bidderdetails = unserialize($biddingdetails['bidder_detail']);
$bidderdetails = [];
//~TIMEOUT DETAILS
$timeout = $biddingdetails['timeout'];
$bidder_detail = [];
$j = 0;

foreach ($bidders as $key => $value) {

	$i = 0;

	foreach ($value as $val => $params) 
	{
		$bidderdetails[$i] = ['bidder' => $val, 'params' => $params];
		$i++;
	}
}
 

//~BIDDERS DETAILS
$bidders_list = [];
foreach ($bidders['bidder'] as $key => $value) 
{
	$bidders_list[] = $key;
}

//~BIDDERS LIST
$bidders_list = json_encode($bidders_list);

//~BIDDER DETAILS
$bidder_detail = json_encode($bidderdetails);


//~BIDFLOOR PRICE DETAILS
$query = OA_Dal_Delivery_query("SELECT width, height, floor_price, delivery FROM {$table_prefix}zones WHERE zoneid = {$_GET['zoneid']} ");
$value = OA_Dal_Delivery_fetchAssoc($query);
$bidfloor = $value['floor_price'];

$postbid = md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}");
//$postbid = rand(10, 999999);

//~HB BIDDER DETAILS
$query1 = OA_Dal_Delivery_query("SELECT account_id, default_vendor FROM {$table_prefix}hb_serverside_settings");
$value1 = OA_Dal_Delivery_fetchAssoc($query1);

//~FOR BANNER ADS

if($value['delivery'] == 0 || $value['delivery'] == 1)
{
	$serverside_banner = '';

	if($biddingdetails['bidding_type'] == 2 && ($value['delivery'] == 0 || $value['delivery'] == 1))
	{
		$serverside_banner = "pbjs.setConfig({
						s2sConfig: {
							accountId : '".$value1['account_id']."',
							bidders : ".$bidders_list.",
							defaultVendor: '".$value1['default_vendor']."',
							timeout: ".$timeout."
						}
					});";
	}

$hbinvocation_tag = '<pre>
&lt;ins data-revive-zoneid="'.$_GET['zoneid'].'" data-revive-id="'.md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}").'"&gt;&lt;/ins&gt;
&lt;script async src="'.$path.'/prebid.js"&gt;&lt;/script&gt;
&lt;script type="text/javascript" &gt;

	var sizes = [ ['.$value['width'].', '.$value['height'].'] ];

	var bidfloor="'.$bidfloor.'";
	var PREBID_TIMEOUT = '.$timeout.';

	var adUnits = [{
	        code: "'.$postbid.'",
	        mediaTypes: {
	            banner: {
	                sizes: sizes
	            }
	        },
	        bids: '.$bidder_detail.'
	}];

	var pbjs = pbjs || {};
	pbjs.que = pbjs.que || [];

	pbjs.que.push(function() {

		'.$serverside_banner.'

	    pbjs.addAdUnits(adUnits);
	    pbjs.requestBids({
	        timeout: PREBID_TIMEOUT,
	        bidsBackHandler: function() { 
	            var iframe = document.getElementById("'.$postbid.'");
				
	            var adServerTargeting = pbjs.getAdserverTargetingForAdUnitCode("'.$postbid.'");
				
	            if (adServerTargeting && adServerTargeting["hb_adid"] && adServerTargeting["hb_pb"]>=bidfloor) {
	                var asyncDoc = iframe.contentWindow.document;
					pbjs.renderAd(asyncDoc, adServerTargeting["hb_adid"]);
					parsms="&b="+adServerTargeting["hb_bidder"]+"&source="+adServerTargeting["hb_source"]+"&bid="+adServerTargeting["hb_pb"]+"&s="+adServerTargeting["hb_size"]+"&f="+adServerTargeting["hb_format"]+"&gdpr_consent="+localStorage.getItem("_cmpRepromptHash");
					document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);
					
				}else{

					iframe.width = sizes[0][0];
					iframe.height = sizes[0][1];
					document.getElementById("'.$postbid.'").src="'.$path.'/afr.php?zoneid='.$_GET['zoneid'].'";
				} 
	        }
	    });
	});

&lt;/script&gt;

&lt;iframe id="'.$postbid.'" FRAMEBORDER="0" SCROLLING="no" MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" LEFTMARGIN="0" ALLOWTRANSPARENCY="true" WIDTH="0" HEIGHT="0"&gt;&lt;/iframe&gt;

</pre> ';

	}
}

//~FOR INSTREAM VIDEO ADS
if($value['delivery'] == 6)
{
	$serverside_video = '';
	$random_no = rand(10, 999999);
	$vid = "vid".$random_no;
	$vid_details = unserialize($biddingdetails['vid_details']);
	$vid_width = $vid_details['vid_width'];
	$vid_height = $vid_details['vid_height'];
	$vid_source = $vid_details['vid_source'];
	$vid_extention = $vid_details['vid_extention'];


if($biddingdetails['bidding_type'] == 2)
{
	$serverside_video = 
  	'pbjs.setConfig({
		cache: {
			url: "https://prebid.adnxs.com/pbc/v1/cache"
		},
		debug: true,
		enableSendAllBids: true,
		s2sConfig: {
			endpoint: "https://prebid.adnxs.com/pbs/v1/openrtb2/auction",
			enabled: true,
			accountId: "'.$value1['account_id'].'",
			bidders: '.$bidders_list.',
			adapter: "'.$value1['default_vendor'].'"
		}
	});';
}

$hbinvocation_tag = '<pre>

&lt;link href="https://vjs.zencdn.net/4.7.1/video-js.css" rel="stylesheet"&gt;
&lt;link href="'.$css_path.'videojs.ads.css" rel="stylesheet" type="text/css"&gt;
&lt;link href="'.$css_path.'videojs.vast.css" rel="stylesheet" type="text/css"&gt;
&lt;script src="https://vjs.zencdn.net/4.7.1/video.js"&gt&lt;/script&gt;

&lt;script src="'.$js_path.'videojs.ads.js"&gt&lt;/script&gt;
&lt;script src="'.$js_path.'vast-client.js"&gt&lt;/script&gt;
&lt;script src="'.$js_path.'videojs.vast.js"&gt&lt;/script&gt;

&lt;script async src="'.$path.'/prebid.js"&gt;&lt;/script&gt;
&lt;script &gt;

var pbjs = pbjs || {};
pbjs.que = pbjs.que || [];
var floor= "'.$value['floor_price'].'";

/* Prebid video ad unit */

var videoAdUnit = {
    code: "'.$vid.'",
    mediaTypes: {
        video: {
            playerSize: ['.$vid_width.', '.$vid_height.'],
	      	context: "instream",
	      	mimes: ["'.$vid_extention.'"],
	      	protocols: [1, 2, 3, 4, 5, 6, 7, 8],
	      	playbackmethod: [2]
        }
    },
	bids: '.$bidder_detail.'
};

pbjs.que.push(function() {
    pbjs.addAdUnits(videoAdUnit);

    '.$serverside_video.'
	
    pbjs.requestBids({
		timeout: '.$timeout.',
        bidsBackHandler: function(bids) {
			
			var bids=pbjs.getAdserverTargeting();
			var highestCpmBids = pbjs.getHighestCpmBids('.$vid.');
			if(typeof bids.'.$vid.'.hb_adid === "undefined" || bids.'.$vid.'.hb_pb < floor)
			{ 
				invokeVideoPlayer("'.$root_path.'fc.php?script=rmVideo&type=preroll&zoneid='.$_GET['zoneid'].'&limit=5&format=vast4.1"); return false;
			}
			else
			{
				invokeVideoPlayer(highestCpmBids[0].vastUrl);
				if(bids.'.$vid.'.hb_adid)
				{ 
					parsms="&b="+bids.'.$vid.'.hb_bidder+"&source="+bids.'.$vid.'.hb_source+"&bid="+bids.'.$vid.'.hb_pb+"&s="+"'.$vid_width.'x'.$vid_height.'"+"&f="+bids.'.$vid.'.hb_format;
					document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);	
				}
			}
        }
    });
});

&lt;/script&gt;    

&lt;div class="video-container'.$random_no.'"&gt; &lt;video id="'.$vid.'" class="video-js vjs-default-skin" controls preload="auto" data-setup="{}" width="'.$vid_width.'" height="'.$vid_height.'" autoplay muted &gt; &lt;source src="'.$vid_source.'" type="'.$vid_extention.'"/&gt; &lt;/video&gt; &lt;/div&gt; &lt;/div&gt;

&lt;script&gt;
    
	var '.$vid.' = videojs("'.$vid.'");

	'.$vid.'.muted(true);
	'.$vid.'.ads();

	function invokeVideoPlayer(url)
	{
		'.$vid.'.vast({
		url: url
    	});
	}
	          
&lt;/script&gt;

</pre>
';
}

//~FOR OUTSTREAM VIDEO ADS
if($value['delivery'] == 8)
{
	$serverside_video = '';
	$random_no = rand(10, 999999);
	$vid = "vid".$random_no;
	$vid_details = unserialize($biddingdetails['vid_details']);
	$vid_width = $value['width'];
	$vid_height = $value['height'];
	$vid_extention = $vid_details['vid_extention'];

if($biddingdetails['bidding_type'] == 2)
{
	$serverside_video = 
  	'pbjs.setConfig({
		cache: {
			url: "https://prebid.adnxs.com/pbc/v1/cache"
		},
		debug: true,
		enableSendAllBids: true,
		s2sConfig: {
			endpoint: "https://prebid.adnxs.com/pbs/v1/openrtb2/auction",
			enabled: true,
			accountId: "'.$value1['account_id'].'",
			bidders: '.$bidders_list.',
			adapter: "'.$value1['default_vendor'].'"
		}
	});';
}

$hbinvocation_tag = '<pre>
&lt;ins data-revive-zoneid="'.$_GET['zoneid'].'" data-revive-id="'.md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}").'"&gt;&lt;/ins&gt;

&lt;script async src="'.$path.'/prebid.js"&gt;&lt;/script&gt;
&lt;script &gt;

var pbjs = pbjs || {};
pbjs.que = pbjs.que || [];
var floor= "'.$value['floor_price'].'";

/* Prebid video ad unit */

var videoAdUnit = {
    code: "'.$vid.'",
    mediaTypes: {
        video: {
            playerSize: ['.$vid_width.', '.$vid_height.'],
	      	context: "outstream",
	      	protocols: [1, 2, 3, 4, 5, 6, 7, 8],
	      	playbackmethod: [2]
        }
    },
    renderer: {
        url: "https://acdn.adnxs.com/video/outstream/ANOutstreamVideo.js"
    },
	bids: '.$bidder_detail.'
};

pbjs.que.push(function() {
    pbjs.addAdUnits(videoAdUnit);

    '.$serverside_video.'
	
    pbjs.requestBids({
		timeout: '.$timeout.',
        bidsBackHandler: function(bids) {
			var adServerTargeting=pbjs.getAdserverTargeting();
			var highestCpmBids = pbjs.getHighestCpmBids('.$vid.');
            var iframe = document.getElementById('.$vid.');
			if(highestCpmBids[0] && adServerTargeting.'.$vid.'.hb_pb >= floor){
            	pbjs.renderAd(document, highestCpmBids[0].adId);
				parsms="&b="+adServerTargeting.'.$vid.'.hb_bidder+"&source="+adServerTargeting.'.$vid.'.hb_source+"&bid="+adServerTargeting.'.$vid.'.hb_pb+"&s="+adServerTargeting.'.$vid.'.hb_size+"&f="+adServerTargeting.'.$vid.'.hb_format+"&gdpr_consent="+localStorage.getItem("_cmpRepromptHash");
					document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);	
			}else{
				var js=document.createElement("script");
				var jsFilePath = "'.$videoads_path.'videoasyncads.php";
				js.type = "text/javascript";
				js.src = jsFilePath;
				document.body.appendChild(js);
			}
        }
    });
});
&lt;/script&gt;
&lt;div id="'.$vid.'" style="width:'.$vid_width.';height:'.$vid_height.'"&gt&lt;/div&gt;
</pre>
';
}


$invocation = "

	<div style='height : 650px;'>

		<div>

			<div style='display : flex; font-family: 'Lucida Console','Courier New',Courier,monospace; font-size: 12px; line-height: 15px;'>
				<h2 style='text-align:center; padding: 10px; '>Headerbidding Invocation Tag</h2> 
				<img src='assets/images/copy_icon.png' style='width: 40px; cursor:pointer; ' id='copy' title='Copy'>
				<h7 style='background:#0767A8; padding: 4px; color:white; width:50px; height:15px;' id='cpy_notification'><b>Copied !</b></h7> 
			</div>

			<hr style='margin-bottom: 7px; color: black;'>

			<div style='width : auto; height : 500px; overflow:auto; padding-left: 10px; border: 1px solid black;' id='invo_code' >".$hbinvocation_tag." </div>

		</div>

	</div>";

if(!isset($biddingdetails['bidder_detail']) || empty($bidder_detail) || $biddingdetails['bidder_detail'] == 'a:0:{}')
{
	echo "<div class='errormessage'>
			Currently no Bidder's avaliable for Please configure atleast one Bidder
		</div>";
}

else
{
	print($invocation);
}


?>


<script type="text/javascript">
	
	$(document).ready(function()
	{
        $("#cpy_notification").hide();

        $("#copy").click(function()
        {

            $("#cpy_notification").show();
            setTimeout(function(){ $("#cpy_notification").hide(); }, 2000);

            var $temp = $("<textarea>");
            $("body").append($temp);
            $temp.val($("#invo_code").text()).select();

            document.execCommand("copy");
            $temp.remove();

        });
	});

</script>

<script type="text/javascript">
	
	var affiliateid = '<?=$_GET['affiliateid']?>';
	var link = '<?=$djprotocol?>'+'<?=$GLOBALS['_MAX']['CONF']['webpath']['admin']?>'+'/affiliate-edit.php?affiliateid='+affiliateid;
	
	$(".entityLinks").html('<span class="entityLinks"><a href="'+link+'" class="ent inlineIcon webs">Website: Auto Publisher</a></span>');

</script>
