<?php

/* header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Credentials', 'true'); */
//header("Access-Control-Allow-Headers: *");

// Require the initialisation file
require_once '../../../../init.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$admin_path =  $GLOBALS['_MAX']['CONF']['webpath']['admin'];

$djprotocol = '';

if ($GLOBALS['_MAX']['SSL_REQUEST']) 
{
$djprotocol='https://';
}
else
{
$djprotocol='http://';
}

$path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$parth = explode('www', $path);
$root_path = $parth[0];

$app_path = $GLOBALS['_MAX']['CONF']['dsp']['apphost'];

if($GLOBALS['_MAX']['CONF']['dsp']['appport'] != '')
{
	$app_path .= ':'.$GLOBALS['_MAX']['CONF']['dsp']['appport'];
}

$js_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/js/';
$css_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/css/';
$videoads_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/VideoAds/delivery/';
$hbinvocation_tag = '';

//~BIDDER DETAILS
/* $exst_bid = OA_Dal_Delivery_query("SELECT affiliate_id, zone_id, bidder_detail, banner_type, bidding_type, bidders, timeout, vid_details FROM {$table_prefix}djax_thirdparty_invocation WHERE affiliate_id = {$_GET['affiliateid']} AND zone_id = {$_GET['zoneid']}");

$biddingdetails = OA_Dal_Delivery_fetchAssoc($exst_bid);
$bidders = unserialize($biddingdetails['bidder_detail']); */

// $bidderdetails = unserialize($biddingdetails['bidder_detail']);
$bidderdetails = [];

$bidder_detail = [];
$j = 0;

//Connecting to Redis
$redishost=$GLOBALS['_MAX']['CONF']['Redisdatabase']['host'];
$redisport=$GLOBALS['_MAX']['CONF']['Redisdatabase']['port'];
$redispassword=$GLOBALS['_MAX']['CONF']['Redisdatabase']['password'];

$redis = new Redis();
$redis->connect($redishost, $redisport);

$name = $GLOBALS['_MAX']['CONF']['database']['name']; //unique key for redis

$retun=$redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$_GET['zoneid']}");

	$biddingdetails=json_decode($retun,true);
	$bidders=unserialize($biddingdetails['bidder_detail']);

// checking if any bidders is selected - if empty $hbinvocation_tag will be null
if(empty($bidders)){
	$hbinvocation_tag = "";
}else{
	//~TIMEOUT DETAILS
	if($biddingdetails['timeout']){
		$timeout = $biddingdetails['timeout'];
	}

	//server details
	$server_details = unserialize($biddingdetails['server_details']);

	foreach ($bidders as $key => $value) {
		$i = 0;
		foreach ($value as $val => $params){
			$bidderdetails[$i] = ['bidder' => $val, 'params' => $params];
			$i++;
		}
	}

	//~BIDDERS DETAILS
	$bidders_list = [];
	foreach ($bidders['bidder'] as $key => $value){
		$bidders_list[] = $key;
	}

	//~BIDDERS LIST
	$bidders_list = json_encode($bidders_list);

	//~BIDDER DETAILS
	$bidder_detail = json_encode($bidderdetails);

	//~BIDFLOOR PRICE DETAILS
	$query = OA_Dal_Delivery_query("SELECT width, height, floor_price, delivery FROM {$table_prefix}zones WHERE zoneid = {$_GET['zoneid']} ");
	$value = OA_Dal_Delivery_fetchAssoc($query);
	$bidfloor = round($value['floor_price'], 2);

	$ins_ad = md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}");
	$postbid = "prebid_iframe".rand(10, 999999);

	if($adunit_id = $biddingdetails['adunit']){
		$postbid = $adunit_id;
	}

	//~HB BIDDER DETAILS
	$query1 = OA_Dal_Delivery_query("SELECT account_id, default_vendor FROM {$table_prefix}hb_serverside_settings");
	$value1 = OA_Dal_Delivery_fetchAssoc($query1);
		
	//~FOR BANNER ADS
	if($value['delivery'] == 0 || $value['delivery'] == 1){
		$serverside_banner = '';

		if($biddingdetails['bidding_type'] == 2 && ($value['delivery'] == 0 || $value['delivery'] == 1)){
			
			//multiple server details
			foreach($server_details as $details){
				$accountId = $details['accountId'];
				$defaultVendor = $details['defaultVendor'];
				$s2sconfig[] = "{
					accountId : '".$accountId."',
					bidders : ".$bidders_list.",
					defaultVendor: '".$defaultVendor."',
					timeout: ".$timeout."
				}";
			}

			$server_count = count($s2sconfig);

			if($server_count == 1){
				$config = "s2sConfig: ".$s2sconfig[0];
			}else{
				$details = implode(",", $s2sconfig);

				$config = "s2sConfig:[
					". $details . "
					]";
			}
			
			$serverside_banner = "pbjs.setConfig({
				" . $config . "
			});";
		
		}

		$tag = $_GET['tag'];
		
		if($tag == "async"){
			$internal_path = $path.'/asyncjs.php?zoneid='.$_GET['zoneid'];
			$hbinvocation_tag = '
			<ins data-revive-zoneid="'.$_GET['zoneid'].'" data-revive-id="'.md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}").'"></ins>
			<script src="'.$path.'/prebid.js"></script>
			<script type="text/javascript" >
	
				var sizes = [ ['.$value['width'].', '.$value['height'].'] ];
				var bidfloor="'.$bidfloor.'";
				var PREBID_TIMEOUT = '.$timeout.';
	
				var adUnits = [{
						code: "'.$postbid.'",
						mediaTypes: {
							banner: {
								sizes: sizes
							}
						},
						bids: '.$bidder_detail.'
				}];
	
				var pbjs = pbjs || {};
				pbjs.que = pbjs.que || [];
	
				pbjs.que.push(function() {
	
					'.$serverside_banner.'
	
					pbjs.setConfig({
						enableTIDs: true
					});
	
					pbjs.addAdUnits(adUnits);
					pbjs.requestBids({
						timeout: PREBID_TIMEOUT,
						bidsBackHandler: function() { 
							var iframe = document.getElementById("'.$postbid.'");
							
							var curr = "";
							
							var adServerTargeting = pbjs.getAdserverTargetingForAdUnitCode("'.$postbid.'");
							
							if (adServerTargeting && adServerTargeting["hb_adid"] && adServerTargeting["hb_pb"]>=bidfloor) {
								var asyncDoc = iframe.contentWindow.document;

								var highestCpmBids = pbjs.getHighestCpmBids("'.$postbid.'");

								if(highestCpmBids && highestCpmBids[0]){
									curr = highestCpmBids[0].currency;
								}
								
								pbjs.renderAd(asyncDoc, adServerTargeting["hb_adid"]);
								parsms="&b="+adServerTargeting["hb_bidder"]+"&source="+adServerTargeting["hb_source"]+"&bid="+adServerTargeting["hb_pb"]+"&s="+adServerTargeting["hb_size"]+"&f="+adServerTargeting["hb_format"]+"&gdpr_consent="+localStorage.getItem("_cmpRepromptHash")+"&currency="+curr;
								document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);
								var id = "'.$postbid.'";
								var insTag = document.querySelector("[data-prebid-id=" + id + "]");
								insTag.style.display = "none";
							}else{
								
								var js=document.createElement("script");
								var jsFilePath = "'.$internal_path.'";
								js.type = "text/javascript";
								js.src = jsFilePath;
								document.body.appendChild(js);

								var id = "'.$postbid.'";
								var insTag = document.querySelector("[data-prebid-id=" + id + "]");
								insTag.style.display = "block";

							} 
						}
					});
				});
	
			</script>
			<iframe id="'.$postbid.'" FRAMEBORDER="0" SCROLLING="no" MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" LEFTMARGIN="0" ALLOWTRANSPARENCY="true" WIDTH="0" HEIGHT="0"></iframe>';
		}else{
			$internal_path = $path.'/afr.php?zoneid='.$_GET['zoneid'];
			$hbinvocation_tag .= '
		<script src="'.$path.'/prebid.js"></script>
		<script type="text/javascript" >

			var sizes = [ ['.$value['width'].', '.$value['height'].'] ];

			var bidfloor="'.$bidfloor.'";
			var PREBID_TIMEOUT = '.$timeout.';

			var adUnits = [{
					code: "'.$postbid.'",
					mediaTypes: {
						banner: {
							sizes: sizes
						}
					},
					bids: '.$bidder_detail.'
			}];

			var pbjs = pbjs || {};
			pbjs.que = pbjs.que || [];

			pbjs.que.push(function() {

				'.$serverside_banner.'

				pbjs.setConfig({
					enableTIDs: true
				});

				pbjs.addAdUnits(adUnits);
				pbjs.requestBids({
					timeout: PREBID_TIMEOUT,
					bidsBackHandler: function() { 
						var iframe = document.getElementById("'.$postbid.'");
						var curr = "";
						var adServerTargeting = pbjs.getAdserverTargetingForAdUnitCode("'.$postbid.'");
						
						if (adServerTargeting && adServerTargeting["hb_adid"] && adServerTargeting["hb_pb"]>=bidfloor) {
							var asyncDoc = iframe.contentWindow.document;
							
							var highestCpmBids = pbjs.getHighestCpmBids("'.$postbid.'");

							if(highestCpmBids && highestCpmBids[0]){
								curr = highestCpmBids[0].currency;
							}
							console.log(curr);

							pbjs.renderAd(asyncDoc, adServerTargeting["hb_adid"]);
							parsms="&b="+adServerTargeting["hb_bidder"]+"&source="+adServerTargeting["hb_source"]+"&bid="+adServerTargeting["hb_pb"]+"&s="+adServerTargeting["hb_size"]+"&f="+adServerTargeting["hb_format"]+"&gdpr_consent="+localStorage.getItem("_cmpRepromptHash")+"&currency="+curr;
							document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);
						}else{
							iframe.width = sizes[0][0];
							iframe.height = sizes[0][1];
							document.getElementById("'.$postbid.'").src="'.$internal_path.'";
						} 
					}
				});
			});

		</script>
		<iframe id="'.$postbid.'" FRAMEBORDER="0" SCROLLING="no" MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" LEFTMARGIN="0" ALLOWTRANSPARENCY="true" WIDTH="0" HEIGHT="0"></iframe>';
		}

	}

//~FOR VIDEO ADS
if($value['delivery'] == 6)
{
	$serverside_video = '';
	$random_no = rand(10, 999999);
	$vid = "vid".$random_no;
	$vid_details = unserialize($biddingdetails['vid_details']);
	$vid_width = $vid_details['vid_width'];
	$vid_height = $vid_details['vid_height'];
	$vid_source = $vid_details['vid_source'];
	$vid_extention = $vid_details['vid_extention'];

	if($biddingdetails['bidding_type'] == 2)
	{
		//multiple server details
		foreach($server_details as $details){
				
			$accountId = $details['accountId'];
			$defaultVendor = $details['defaultVendor'];
			$s2sconfig[] = "{
				endpoint: 'https://prebid.adnxs.com/pbs/v1/openrtb2/auction',
				enabled: true,
				accountId : '".$accountId."',
				bidders : ".$bidders_list.",
				defaultVendor: '".$defaultVendor."'
			}";
	
		}
	
		$server_count = count($s2sconfig);
	
		if($server_count == 1){
			$config = "s2sConfig: ".$s2sconfig[0];
		}else{
			$details = implode(",", $s2sconfig);
	
			$config = "s2sConfig:[
				". $details . "
			]";
		}
		
		//multiple server details
	
		$serverside_video = 
		'pbjs.setConfig({
			cache: {
				url: "https://prebid.adnxs.com/pbc/v1/cache"
			},
			debug: true,
			enableSendAllBids: true,
			' . $config . '	
	  	});';
	
	}

	$hbinvocation_tag = '
	<link href="https://vjs.zencdn.net/4.7.1/video-js.css" rel="stylesheet">
	<link href="'.$css_path.'videojs.ads.css" rel="stylesheet" type="text/css">
	<link href="'.$css_path.'videojs.vast.css" rel="stylesheet" type="text/css">
	<script src="https://vjs.zencdn.net/4.7.1/video.js"></script>

	<script src="'.$js_path.'videojs.ads.js"></script>
	<script src="'.$js_path.'vast-client.js"></script>
	<script src="'.$js_path.'videojs.vast.js"></script>

	<script src="'.$path.'/prebid.js"></script>
	<script >

	var pbjs = pbjs || {};
	pbjs.que = pbjs.que || [];
	var floor= "'.$value['floor_price'].'";

	/* Prebid video ad unit */

	var videoAdUnit = {
		code: "'.$vid.'",
		mediaTypes: {
			video: {
				playerSize: ['.$vid_width.', '.$vid_height.'],
				context: "instream",
				mimes: ["'.$vid_extention.'"],
				protocols: [1, 2, 3, 4, 5, 6, 7, 8],
				playbackmethod: [2],
				linearity: 1,
				api: [1,2],
				skip: 1,
				maxduration: 10,
				placement: 1
			}
		},
		bids: '.$bidder_detail.'
	};

	pbjs.que.push(function() {
		pbjs.setConfig({
		cache: {
		url: "https://prebid.adnxs.com/pbc/v1/cache"
		},
		enableTIDs: true
		});

		pbjs.addAdUnits(videoAdUnit);

		'.$serverside_video.'
		
		pbjs.requestBids({
			timeout: '.$timeout.',
			bidsBackHandler: function(bids) {
				
				var bids=pbjs.getAdserverTargeting();
				const highestCpmBids = pbjs.getHighestCpmBids('.$vid.');
				if(typeof bids.'.$vid.'.hb_adid === "undefined" || bids.'.$vid.'.hb_pb < floor)
				{	
					invokeVideoPlayer("'.$root_path.'fc.php?script=rmVideo&type=preroll&zoneid='.$_GET['zoneid'].'&limit=5&format=vast3"); return false;
				}
				else
				{
					invokeVideoPlayer(highestCpmBids[0].vastUrl);
					
					if(bids.'.$vid.'.hb_adid)
					{ 
						parsms="&b="+bids.'.$vid.'.hb_bidder+"&source="+bids.'.$vid.'.hb_source+"&bid="+bids.'.$vid.'.hb_pb+"&s="+"'.$vid_width.'x'.$vid_height.'"+"&f="+bids.'.$vid.'.hb_format;
						document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);	
					}
				}
			}
		});
	});

	</script>    
		
	<div class="video-container'.$random_no.'"> <video id="'.$vid.'" class="video-js vjs-default-skin" controls preload="auto" data-setup="{}" width="'.$vid_width.'" height="'.$vid_height.'" > <source src="'.$vid_source.'" type="'.$vid_extention.'"/> </video> </div> </div>

	<script>
		var '.$vid.' = videojs("'.$vid.'");

		'.$vid.'.muted(true);
		'.$vid.'.ads();
		
		function invokeVideoPlayer(url)
		{
			'.$vid.'.vast({
			url: url
			});
		}
	</script>';
}

//~FOR OUTSTREAM VIDEO ADS
if($value['delivery'] == 8)
{
	$serverside_video = '';
	$random_no = rand(10, 999999);
	$vid = "vid".$random_no;
	$vid_details = unserialize($biddingdetails['vid_details']);
	$vid_width = $vid_details['vid_width'];
	$vid_height = $vid_details['vid_height'];
	$vid_extention = 'video/mp4';

	if($biddingdetails['bidding_type'] == 2)
	{
		//multiple server details
		foreach($server_details as $details){
				
			$accountId = $details['accountId'];
			$defaultVendor = $details['defaultVendor'];
			$s2sconfig[] = "{
				endpoint: 'https://prebid.adnxs.com/pbs/v1/openrtb2/auction',
				enabled: true,
				accountId : '".$accountId."',
				bidders : ".$bidders_list.",
				defaultVendor: '".$defaultVendor."'
			}";
	
		}
	
		$server_count = count($s2sconfig);
	
		if($server_count == 1){
			$config = "s2sConfig: ".$s2sconfig[0];
		}else{
			$details = implode(",", $s2sconfig);
	
			$config = "s2sConfig:[
				". $details . "
				]";
	
		}
		
		//multiple server details
	
		$serverside_video = 
		'pbjs.setConfig({
			cache: {
				url: "https://prebid.adnxs.com/pbc/v1/cache"
			},
			debug: true,
			enableSendAllBids: true,
			' . $config . '
		});';
	}

	$internal_path = $path.'/asyncjs.php?zoneid='.$_GET['zoneid'];
	$hbinvocation_tag = '
	<ins data-revive-zoneid="'.$_GET['zoneid'].'" data-revive-id="'.md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}").'"></ins>

	<script src="'.$path.'/prebid.js"></script>
	<script >

	var pbjs = pbjs || {};
	pbjs.que = pbjs.que || [];
	var floor= "'.$value['floor_price'].'";

	function callANRenderer(bid, ad) {
		const adResponse = {
			ad: {
				video: {
					content: ad,
					player_width: '.$vid_width.',
					player_height: '.$vid_height.',
				}
			}
		}
  
		bid.renderer.push(() => {
			window.ANOutstreamVideo.renderAd({
				targetId: bid.adUnitCode,
				adResponse,
			});
		});
	  }
  
	  function render(bid) {
		  let ad = bid.ad || bid.vastXml;
  
		  if (ad) {
			  callANRenderer(bid, ad)
		  } else {
			  if (bid.vastUrl) {
				(async () => {
					ad = await fetch(resp).then(resp => resp.text());
  
					if (typeof ad === "string") {
						callANRenderer(bid, ad);
					} else {
						console.log("Invalid VAST");
					}
				})();
			  } else {
				  console.log("Invalid ad");
			  }
		  }
	  }

	/* Prebid video ad unit */
	var videoAdUnit = {
		code: "'.$vid.'",
		mediaTypes: {
			video: {
				playerSize: ['.$vid_width.', '.$vid_height.'],
				context: "outstream",
				mimes: ["'.$vid_extention.'"],
				protocols: [1, 2, 3, 4, 5, 6, 7, 8],
				playbackmethod: [2]
			}
		},
		renderer: {
			render,
			url: "https://acdn.adnxs.com/video/outstream/ANOutstreamVideo.js"
		},
		bids: '.$bidder_detail.'
	};

	pbjs.que.push(function() {
		pbjs.addAdUnits(videoAdUnit);

		'.$serverside_video.'
		
		pbjs.requestBids({
			timeout: '.$timeout.',
			bidsBackHandler: function(bids) {
				var adServerTargeting=pbjs.getAdserverTargeting();
				var highestCpmBids = pbjs.getHighestCpmBids('.$vid.');
				var iframe = document.getElementById('.$vid.');
			//	if(typeof bids.'.$vid.'.hb_adid === "undefined" || bids.'.$vid.'.hb_pb < floor)
			//	{ 
				if(highestCpmBids[0] && highestCpmBids[0].cpm > floor){
					pbjs.renderAd(document, highestCpmBids[0].adId);
					parsms="&b="+adServerTargeting.'.$vid.'.hb_bidder+"&source="+adServerTargeting.'.$vid.'.hb_source+"&bid="+adServerTargeting.'.$vid.'.hb_pb+"&s="+adServerTargeting.'.$vid.'.hb_size+"&f="+adServerTargeting.'.$vid.'.hb_format+"&gdpr_consent="+localStorage.getItem("_cmpRepromptHash");
					document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);	
				}else{
					var js=document.createElement("script");
					var jsFilePath = "'.$internal_path.'";
					js.type = "text/javascript";
					js.src = jsFilePath;
					document.body.appendChild(js);
				}
		//	}
		}
		});
	});
	</script>
	<div id="'.$vid.'" style="float:left"></div>';
}
}
echo $hbinvocation_tag;

?>