<?php
require_once MAX_PATH . "/plugins/bannerTypeHtml/vastInlineBannerTypeHtml/common.php";

class HbInvocation {
	
	public function __construct()
	{
		$prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
		$this->zoneTable = $prefix . "zones";
		$this->websiteTable = $prefix . "affiliates";
	}
	 
	protected function getDateTimeInUtc($date)
	{
	    $dateInUTC = new Date($date);
        $dateInUTC->toUTC();
        return $dateInUTC->format('%Y-%m-%d %H:%M:%S');
	}
	 
	public function isBidddingZone($zoneId)
	{
	    $zone = Admin_DA::getZone($zoneId);
	    if($zone['type'] == phpAds_ZoneBanner || $zone['type'] == phpAds_ZoneInterstitial || $zone['type'] == OX_ZoneVideoInstream || $zone['type'] == OX_ZoneVideoOutStream)
	    	return true;
	    else 
	    	return false;
	}
	 
	public function isVastZone($zoneId)
	{
	    $zone = Admin_DA::getZone($zoneId);
	    if($zone['type'] == OX_ZoneVideoInstream)
	    	return true;
	    else 
	    	return false;
	}
}


