<?php
ini_set('display_errors', 1);
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: *");


// Require the initialisation file
require_once '../../../../init.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$admin_path =  $GLOBALS['_MAX']['CONF']['webpath']['admin'];

$djprotocol = '';

if ($GLOBALS['_MAX']['SSL_REQUEST']) 
{
$djprotocol='https://';
}
else
{
$djprotocol='http://';
}

$path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$parth = explode('www', $path);
$root_path = $parth[0];

//~AFR PATH
$app_path = $GLOBALS['_MAX']['CONF']['dsp']['apphost'];

if($GLOBALS['_MAX']['CONF']['dsp']['appport'] != '')
{
	$app_path .= ':'.$GLOBALS['_MAX']['CONF']['dsp']['appport'];
}

$afr_path = $djprotocol.$app_path.'/';

$js_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/js/';
$css_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/css/';
$hbinvocation_tag = '';


if($delivery == 0 || $delivery == 1 || $delivery == 6)
{
//~BIDDER DETAILS
// $exst_bid = OA_Dal_Delivery_query("SELECT affiliate_id, zone_id, bidder_detail, banner_type, bidding_type, bidders, timeout, vid_details FROM {$table_prefix}djax_thirdparty_invocation WHERE affiliate_id = {$_GET['affiliateid']} AND zone_id = {$_GET['zoneid']}");

// $biddingdetails = OA_Dal_Delivery_fetchAssoc($exst_bid);
// $bidders = unserialize($biddingdetails['bidder_detail']);


// $bidderdetails = unserialize($biddingdetails['bidder_detail']);
$bidderdetails = array();

$bidder_detail = array();

$postbid = "prebid_iframe".rand(10, 999999);

$j = 0;

    //Connecting to Redis
	$redishost=$GLOBALS['_MAX']['CONF']['Redisdatabase']['host'];
	$redisport=$GLOBALS['_MAX']['CONF']['Redisdatabase']['port'];
	$redispassword=$GLOBALS['_MAX']['CONF']['Redisdatabase']['password'];

	$redis = new Redis();
	//Connecting to Redis
	$redis->connect($redishost, $redisport);

	$name = $GLOBALS['_MAX']['CONF']['database']['name']; //unique key for redis
	
	$retun=$redis->get("{$table_prefix}djax_thirdparty_invocation_{$name}_{$_GET['zoneid']}");
	
	$biddingdetails=json_decode($retun,true);
	$bidders=unserialize($biddingdetails['bidder_detail']);

	// checking if any bidders is selected - if empty $hbinvocation_tag will be null
	if(empty($bidders)){
		$hbinvocation_tag = "";
	}else{
		
	$timeout = 500;

	//~TIMEOUT DETAILS
	if($biddingdetails['timeout']){
		$timeout = $biddingdetails['timeout'];
	}

	//server details
	$server_details = unserialize($biddingdetails['server_details']);

foreach ($bidders as $key => $value) {

	$i = 0;

	foreach ($value as $val => $params) 
	{
		$val = str_replace("{postbid}", $postbid, $val);
		$params = str_replace("{postbid}", $postbid, $params);
		$bidderdetails[$i] = array( 'bidder' => $val, 'params' => $params);$i++;
	}
}
 

//~BIDDERS DETAILS
$bidders_list = array();
foreach ($bidders['bidder'] as $key => $value) 
{
	$bidders_list[] = $key;
}

//~BIDDERS LIST
$bidders_list = json_encode($bidders_list);

//~BIDDER DETAILS
$bidder_detail = json_encode($bidderdetails);


//~BIDFLOOR PRICE DETAILS
$query = OA_Dal_Delivery_query("SELECT width, height, floor_price, refresh, delivery FROM {$table_prefix}zones WHERE zoneid = {$_GET['zoneid']} ");
$value = OA_Dal_Delivery_fetchAssoc($query);
$bidfloor = round($value['floor_price'], 2);
$refresh = $value['refresh'] * 1000;

$ins_ad = md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}");
//$postbid = rand(10, 999999);

$refresh = $value['refresh'] * 1000;

//~HB BIDDER DETAILS
/* $query1 = OA_Dal_Delivery_query("SELECT account_id, default_vendor FROM {$table_prefix}hb_serverside_settings");
$value1 = OA_Dal_Delivery_fetchAssoc($query1); */

//~FOR BANNER ADS
if($value['delivery'] == 0 || $value['delivery'] == 1)
{
	$serverside_banner = '';

	if($biddingdetails['bidding_type'] == 2 && ($value['delivery'] == 0 || $value['delivery'] == 1))
	{
		$serverside_banner = "pbjs.setConfig({
						s2sConfig: {
							accountId : '".$value1['account_id']."',
							bidders : ".$bidders_list.",
							defaultVendor: '".$value1['default_vendor']."',
							timeout: ".$timeout."
						}
					});";
	}
//gdprconsent='+localStorage.getItem("_cmpRepromptHash");+';
$rand = rand(10, 999999);

$hbinvocation_tag = '<ins data-revive-zoneid="'.$_GET['zoneid'].'" data-revive-id="'.$ins_ad.'" id="'.$postbid.'" data-prebid-id="'.$postbid.'"></ins>
<div id="'.$postbid.'">
<script type="text/javascript">
/* var adData = ["'.$rand.'", '.$refresh.'];
console.log(adData); */
//localStorage.setItem("'.$postbid.'", JSON.stringify(adData));

//localStorage.setItem("'.$postbid.'", "'.$rand.'");
</script>
<script	src="'.$path.'/prebid.js"></script>
<script type="text/javascript">
var insTag = document.querySelector("[data-prebid-id=\"'.$postbid.'\"]");
insTag.style.display = "none";

var sizes = [ ['.$value['width'].', '.$value['height'].'] ];

var bidfloor="'.$bidfloor.'";

var PREBID_TIMEOUT = '.$timeout.';
//gdprconsent=localStorage.getItem("_cmpRepromptHash");

/* var getadData = JSON.parse(localStorage.getItem("'. $postbid .'"));
console.log("adslot");
var adslot = getadData[0];
var refreshTime = getadData[1];
console.log(adslot); */



var pbjs = pbjs || {};
pbjs.que = pbjs.que || [];

pbjs.que.push(function() {

	'.$serverside_banner.'

//	if(gdprconsent)
//	{
	    console.log("hai");

		pbjs.bidderSettings = {
			adagio: {
				storageAllowed: true
			},
			onetag: {
				storageAllowed: true
			}
		}

		pbjs.setConfig({
	 		enableTIDs: true,
			useBidCache: true,
	 		disableAjaxTimeout: true,
		   	allowActivities: {
		       	accessDevice: {
					default: false,
					rules: [{
						condition(params) {
							return params.componentName === "adagio"
		              	},
		              	allow: true
		          	}],
				 	rules: [{
		              	condition(params) {
		                	return params.componentName === "onetag"
		             	},
		              	allow: true
		           	}]
		       	}
		   	},	 		
			/* consentManagement: {
				gdpr: {
					cmpApi: "iab",
					timeout: 20000,
					allowAuctionWithoutConsent: false,
					defaultGdprScope: true
				}
			}, */
			userSync: {
				filterSettings: {
					iframe: {
						bidders: "*",   // "*" means all bidders
						filter: "include"
					}
				},
				userIds: [{
					name: "sharedId",
					storage: {
						type: "cookie",
						name: "_sharedid",         // create a cookie with this name
						expires: 365             // expires in 1 years
					}
				}]
			},
			enableSendAllBids: true,	
		});
//	}
});

var adslot;

// console.log("'.$postbid.'");

adrefresh();

function adrefresh(){
	if(localStorage.getItem("'. $postbid .'") == null){
		var rand = null;
		rand = '. rand(10, 999999) .';
		console.log(rand);
		var adData = [rand, '.$refresh.'];
		/* console.log("here");
		console.log("'.$postbid.'"); */
		console.log(adData);
		localStorage.setItem("'.$postbid.'", JSON.stringify(adData));
		var getadData = JSON.parse(localStorage.getItem("'. $postbid .'"));
		console.log(getadData);
		adslot = getadData[0];
		var refreshTime = getadData[1];
	//	console.log(adslot);
	}
	
	var adUnits = [];
	
	adUnits = [{
		code: adslot,
		mediaTypes: {
			banner: {
				sizes: sizes
			}
		},
		bids: '.$bidder_detail.'
	}];

pbjs.que.push(function() {
	pbjs.addAdUnits(adUnits);
//	if(gdprconsent)
//	{
		pbjs.requestBids({
			timeout: PREBID_TIMEOUT,
			adUnitCodes: [adslot],
			bidsBackHandler: renderAllAdUnits
		});
	
//	}
});

localStorage.removeItem("'.$postbid.'");
console.log(refreshTime);
var getadData = JSON.parse(localStorage.getItem("'. $postbid .'"));
//		console.log("LAST" + getadData);

// setTimeout(adrefresh, '.$refresh.');
setTimeout(adrefresh, refreshTime);
}

var adUnitCode = pbjs.adUnits;
var allAdslot = [];
		function renderAllAdUnits() {
			console.log("in");
			console.log(adslot);
			var params = pbjs.getAdserverTargetingForAdUnitCode(adslot);
		
			if(params && params["hb_adid"]) {
			//	console.log(adslot);
				var id = "'.$postbid.'";
				var iframe = document.querySelector("iframe[id='.$postbid.']");
			//	var iframe = document.querySelector("iframe[id=\"" + adslot + "\"]");
				var iframeDoc = iframe.contentWindow.document;
				pbjs.renderAd(iframeDoc, params["hb_adid"]);
				var id = "'.$postbid.'";
				var insTag = document.querySelector("[data-prebid-id=" + id + "]");
				insTag.style.display = "none";
			}
			else{
				internalAd();
			}
		}

		function internalAd(){
			var id = adslot;
			var js=document.createElement("script");
			var jsFilePath = "'.$path.'/asyncjs.php";
			js.type = "text/javascript";
			js.src = jsFilePath;
			document.body.appendChild(js);
			var insTag = document.querySelector("[data-prebid-id=" + id + "]");
			insTag.style.display = "block";
		
		}
					

			</script>
</div>
<iframe id="'. $postbid .'" FRAMEBORDER="0" SCROLLING="no" MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" LEFTMARGIN="0" ALLOWTRANSPARENCY="true" WIDTH="0" HEIGHT="0" data-bid-floor="'.$bidfloor.'"> </iframe>';

	}
}

//~FOR VIDEO ADS
if($value['delivery'] == 6)
{
	$serverside_video = '';
	$random_no = rand(10, 999999);
	$vid = "vid".$random_no;
	$vid_details = unserialize($biddingdetails['vid_details']);
	$vid_width = $vid_details['vid_width'];
	$vid_height = $vid_details['vid_height'];
	$vid_source = $vid_details['vid_source'];
	$vid_extention = $vid_details['vid_extention'];


if($biddingdetails['bidding_type'] == 2)
{
	$serverside_video = 
  	'pbjs.setConfig({
		cache: {
			url: "https://prebid.adnxs.com/pbc/v1/cache"
		},
		debug: true,
		enableSendAllBids: true,
		s2sConfig: {
			endpoint: "https://prebid.adnxs.com/pbs/v1/openrtb2/auction",
			enabled: true,
			accountId: "'.$value1['account_id'].'",
			bidders: '.$bidders_list.',
			adapter: "'.$value1['default_vendor'].'"
		}
	});';
}

$hbinvocation_tag = '<pre>

&lt;link href="https://vjs.zencdn.net/4.7.1/video-js.css" rel="stylesheet"&gt;
&lt;link href="'.$css_path.'videojs.ads.css" rel="stylesheet" type="text/css"&gt;
&lt;link href="'.$css_path.'videojs.vast.css" rel="stylesheet" type="text/css"&gt;
&lt;script src="https://vjs.zencdn.net/4.7.1/video.js"&gt&lt;/script&gt;

&lt;script src="'.$js_path.'videojs.ads.js"&gt&lt;/script&gt;
&lt;script src="'.$js_path.'vast-client.js"&gt&lt;/script&gt;
&lt;script src="'.$js_path.'videojs.vast.js"&gt&lt;/script&gt;

&lt;script async src="'.$path.'/prebid/not-for-prod/prebid.js"&gt;&lt;/script&gt;
&lt;script &gt;

var pbjs = pbjs || {};
pbjs.que = pbjs.que || [];
var floor= "'.$value['floor_price'].'";

/* Prebid video ad unit */

var videoAdUnit = {
    code: "'.$vid.'",
    mediaTypes: {
        video: {
            playerSize: ['.$vid_width.', '.$vid_height.'],
	      	context: "instream",
	      	mimes: ["'.$vid_extention.'"],
	      	protocols: [1, 2, 3, 4, 5, 6, 7, 8],
	      	playbackmethod: [2]
        }
    },
	bids: '.$bidder_detail.'
};

pbjs.que.push(function() {
    pbjs.addAdUnits(videoAdUnit);

    '.$serverside_video.'
	
    pbjs.requestBids({
		timeout: '.$timeout.',
        bidsBackHandler: function(bids) {
			
			var bids=pbjs.getAdserverTargeting();
			if(typeof bids.'.$vid.'.hb_adid === "undefined" || bids.'.$vid.'.hb_pb < floor)
			{ 
				invokeVideoPlayer("'.$root_path.'fc.php?script=rmVideo&type=preroll&zoneid='.$_GET['zoneid'].'&limit=5&format=vast3"); return false;
			}
			else
			{
				var videoUrl = pbjs.adServers.dfp.buildVideoUrl({
					adUnit: videoAdUnit,
					params: {
						iu: "/19968336/prebid_cache_video_adunit"
					},
					output: "vast"
				});
				invokeVideoPlayer(videoUrl);
				if(bids.'.$vid.'.hb_adid)
				{ 
					parsms="&b="+bids.'.$vid.'.hb_bidder+"&source="+bids.'.$vid.'.hb_source+"&bid="+bids.'.$vid.'.hb_pb+"&s="+"'.$vid_width.'x'.$vid_height.'"+"&f="+bids.'.$vid.'.hb_format;
					//document.createElement("IMG").setAttribute("src", "'.$path.'/track.php?zoneid='.$_GET['zoneid'].'"+parsms);	
				}
			}
        }
    });
});

&lt;/script&gt;    
	
&lt;div class="video-container'.$random_no.'"&gt; &lt;video id="'.$vid.'" class="video-js vjs-default-skin" controls preload="auto" data-setup="{}" width="'.$vid_width.'" height="'.$vid_height.'" autoplay muted &gt; &lt;source src="'.$vid_source.'" type="'.$vid_extention.'"/&gt; &lt;/video&gt; &lt;/div&gt; &lt;/div&gt;

&lt;script&gt;
    
function invokeVideoPlayer(url) {
	videojs("'.$vid.'").ready(function(){
		var player'.$vid.' = this;
		player'.$vid.'.muted();
		player'.$vid.'.play();

	    var vastAd'.$vid.' = player'.$vid.'.vast({
	    	adTagUrl: url, 
	    	playAdAlways: true,
	    	muted: true,
	    	autoplay: true
    	});
	          
    });
}
&lt;/script&gt;

</pre>
';
}
}


// $invocation = "

// 	<div style='height : 650px;'>

// 		<div>

// 			<div style='display : flex; font-family: 'Lucida Console','Courier New',Courier,monospace; font-size: 12px; line-height: 15px;'>
// 				<h2 style='text-align:center; padding: 10px; '>Headerbidding Invocation Tag</h2> 
// 				<img src='assets/images/copy_icon.png' style='width: 40px; cursor:pointer; ' id='copy' title='Copy'>
// 				<h7 style='background:#0767A8; padding: 4px; color:white; width:50px; height:15px;' id='cpy_notification'><b>Copied !</b></h7> 
// 			</div>

// 			<hr style='margin-bottom: 7px; color: black;'>

// 			<div style='width : auto; height : 500px; overflow:auto; padding-left: 10px; border: 1px solid black;' id='invo_code' >".$hbinvocation_tag." </div>

// 		</div>

// 	</div>";

/*if(!isset($biddingdetails['bidder_detail']) || empty($bidder_detail) || $biddingdetails['bidder_detail'] == 'a:0:{}')
{
	echo "<div class='errormessage'>
			Currently no Bidder's avaliable for Please configure atleast one Bidder
		</div>";
}

else
{
	echo $hbinvocation_tag;
}*/

echo $hbinvocation_tag;

?>