<?php
// Require the initialisation file
require_once '../../../../init.php';
// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
//DAC connect DB
if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
//DAC connect DB

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);
$title="Bidder Management";
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader('bidder-list-index', $oHeaderModel);

$aConf = $GLOBALS['_MAX']['CONF'];
if($_REQUEST['submit']=='submit')
{
	$bidder_name = $_POST['bidder_name'];
	$bidder_code = $_POST['bidder_code'];
	$bidder_adapter = $_POST['bidder_adapter'];	
	$date_created =date('Y-m-d H:i:s');
	$param_name = $_POST['param_name'];
	$param_req = $_POST['param_req'];
	$param_req1 = $_POST['param_req1'];
	
	$param_adunit = $_POST['param_adunit'];
	$param_adunit1 = $_POST['param_adunit1'];
	
	$ad_format = serialize($_POST['ad_format']);
	$del_params = $_POST['param_del'];
	$param_id = $_POST['param_id'];
	$bidder_id = $_GET['aid'];
	$server_side = $_POST['server_side'];

	$banner = 0;
	$video = 0;

	if(in_array(1, $_POST['ad_format']))
	{
		$banner = 1;
	}

	if(in_array(2, $_POST['ad_format']))
	{
		$video = 1;
	}
	
	$oDbh = OA_DB::singleton();
	$query = "UPDATE ".$table_prefix."djax_hb_bidders_list SET hb_bidder_name = '".$bidder_name."',hb_bidder_code = '".$bidder_code."',hb_ad_format ='".$ad_format."',date_created = '".$date_created."',server_side = '".$server_side."', dj_is_banner = ".$banner.", dj_is_video = ".$video." WHERE hb_bidder_id = '".$bidder_id."'" ;
	
   	$oDbh->exec($query);
	
	if(!empty($del_params))
	{
		foreach($del_params as $paramid)
		{
			OA_Dal_Delivery_query("DELETE from {$table_prefix}djax_hb_params where hb_bidder_id = '".$bidder_id."' and hb_parameter_id='".$paramid."'");
		}
	}
	
	foreach($param_name as $key => $value)
	{	
		
		$paramreq = (isset($param_req[$key]) && $param_req[$key] == "on") ? 1 : 0;
		if($param_req1[$key]=="on")
		{
			$paramreq=1;
		}
		
		$paramadunit = (isset($param_adunit[$key]) && $param_adunit[$key] == "on") ? 1 : 0;
		if($param_adunit1[$key]=="on")
		{
			$paramadunit=1;
		}
		
		$check_param = array_key_exists($key,$param_id);
		
		if($check_param){
			OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_params SET hb_parameter_name='".$value."',required= '".$paramreq."',adunit_param= '".$paramadunit."' WHERE hb_bidder_id='".$bidder_id."' AND hb_parameter_id='".$param_id[$key]."'");  
		}
		else{
			OA_Dal_Delivery_query("INSERT into {$table_prefix}djax_hb_params(hb_parameter_name,hb_bidder_id,required,adunit_param,date_created) VALUES('".$value."','".$bidder_id."','".$paramreq."','".$paramadunit."','".$date_created."')");  
		}
	}

	$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$GLOBALS['conf']['webpath']['admin']."/" : "http://".$GLOBALS['conf']['webpath']['admin']."/";
	
	//success msg - start
	$translation = new OX_Translation();
	$translated_message = $translation->translate ("<b> ".$bidder_name." has been updated Successfully.</b>");
	OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
	//success msg - end
	
	$file_path =  $path."plugins/HbSettings/bidder-list-index.php";		
		
	echo "<script type='text/javascript'>window.top.location='".$file_path."';</script>";exit();
	
}

if($_GET['action']=='edit'){
	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	$bid = $_GET['aid'];	
	$bname=OA_Dal_Delivery_query("SELECT * FROM  ".$table_prefix."djax_hb_bidders_list WHERE hb_bidder_id='".$bid."' ");

	$parname=OA_Dal_Delivery_query("SELECT * FROM ".$table_prefix."djax_hb_params WHERE hb_bidder_id='".$bid."' and dj_is_deleted != 1");
	$brow=OA_Dal_Delivery_fetchAssoc($bname);
}

?>

<html>
	<head>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
		<script type="text/javascript">
			var jq = $.noConflict(true);
			jq(document).ready(function () {
				var count = parseInt('<?php echo OA_Dal_Delivery_numRows($parname);?>') + 1;
				
				var params = jq("#param-div");
				jq("#param-div").on('click', '#add_param', function () {			
										
					var fieldWrapper = jq('<div>');
					var paramname = jq('<table><tr class="row"><td class="">&nbsp;&nbsp;&nbsp;&nbsp;parameter name:<span style="color:red;"> * </span></td><td><input type="text" name="param_name['+count+']" id="param_name'+count+'" class="head-bid" placeholder="Enter parameter name" maxlength="50" size="50" style="margin-left: 20px;" required></td><td><img src="assets/images/minus.png" width="19" height="16" align="absmiddle" class="param_delete" name="param_delete"></td></tr><tr><td class="bid">&nbsp;&nbsp;&nbsp;&nbsp;Is this parameter required<span style="color:red;"> * </span></td><td><input type="checkbox" name="param_req['+count+']" id="param_req'+count+'" class="head-bid" style="margin-left:20px;"></td></tr><tr><td class="bid">&nbsp;&nbsp;&nbsp;&nbsp;Is the param value adunit Id</td><td><input type="checkbox" name="param_adunit['+count+']" id="param_adunit'+count+'" class="head-bid" style="margin-left:20px;"></td></tr></table></div>');
					count++;	
					fieldWrapper.append(paramname);
					jq("#param-div").append(fieldWrapper);
					

				});
				jq(params).on("click",".param_delete", function(e){ //user click on remove field
					
					e.preventDefault();
					jq(this).parent().parent().parent().parent().remove();			
					
				});
				jq(params).on("click",".param_delete1", function(e){ //user click on remove field
					
					e.preventDefault();
					
					//get deleted ids to update table - start
					var delete_param = jq(this).parent().prev().children('.param_id').val();
					//alert(delete_param);
					var delete_param_id = jq(this).next().attr('id');
					jq("#param_del").append("<td><input type='hidden' name='param_del[]' value='"+delete_param+"'></td>");
					//get deleted ids to update table - end
					jq(this).parent().parent().next().remove();
					jq(this).parent().parent().next().remove();
					jq(this).parent().parent().remove();			
					
				});
				jq('.ad_format').click(function(){
					
					if(jq('#ad_format_banner').is(':checked') || jq('#ad_format_video').is(':checked'))
						jq(".ad_format").attr("required", false);
					else
						jq(".ad_format").attr("required", true);
				
				});
				
				jq("input[name='ad_format[]']").each( function () {
					if(jq(this).is(':checked')){
						jq(".ad_format").attr("required", false);					
					}				
				});

			});			
		</script>
		<style>
			td{
				font-size:15px;
				padding: 6px;
				}
			.head-bid{
					border: 1px solid #888;
				}
			.control-group{
					margin-top: 20px;
				}
			.bid{
					width: 40%;
				}
		</style>
	</head>
	<body>
		<div id="dj_header">
		<form  action='' method='post' name='settingsform' id='settingsform1' class='form-inline' enctype='multipart/form-data'>
			<div class="control-group">
				<h3>Bidder details</h3>
				<hr/>
				<br/><br/>
				<div>
					<table>
						<tr class="row">
							<td>&nbsp;</td>
							<td class="bid">Bidder name:<span style="color:red;"> * </span></td>
							<td>&nbsp;</td>
							<td><input type="text" name="bidder_name" id="bidder_name" class="head-bid" placeholder="Ender bidder name" maxlength="50" size="50" value="<?php echo $brow['hb_bidder_name'];?>" required></td>
						</tr>
						<tr><br/></tr>
						<tr></tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Bidder code:</td>
							<td>&nbsp;</td>
							<td><input type="text" name="bidder_code" id="bidder_code" class="head-bid" placeholder="Enter bidder code" maxlength="50" size="50" value="<?php echo $brow['hb_bidder_code'];?>" readonly></td>
						</tr>
						<tr><br/></tr>
						<tr></tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Bidder Adapter:</td>
							<td>&nbsp;</td>
							<td><input type="text" name="bidder_adapter" id="bidder_adapter" class="head-bid" placeholder="Enter bidder adapter" maxlength="50" size="50" value="<?php echo $brow['module_name'];?>" readonly></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Bidding Type</td>
							<td>&nbsp;</td>
							<td >
								<select name="server_side" id="server_side">
									<option value="1" <?php echo ($brow['server_side'] ==1) ? "selected" : "";?>>Client Side</option>
									<option value="2" <?php echo ($brow['server_side'] ==2) ? "selected" : "";?>>Server Side</option>
									<option value="3" <?php echo ($brow['server_side'] ==3) ? "selected" : "";?>>Both</option>
								</select>
							</td>
						</tr>

					</table>
				</div>
					
			</div>
			<div class="control-group">
				<h3>Ad formats</h3>
				<hr/>
				<br/><br/>
				<div>
					<table>
						<tr class="row">
							<td>&nbsp;</td>
							<td class="bid">Supported Ad formats:<span style="color:red;"> * </span></td>
							<td>&nbsp;</td>
							<td style="padding-left: 50px;">
								<input type="checkbox" name="ad_format[]" id="ad_format_banner" class="head-bid ad_format" value='1' <?php echo in_array(1,unserialize($brow['hb_ad_format'])) ? 'checked' : ''; ?> >Banner
								<input type="checkbox" name="ad_format[]" id="ad_format_video" class="head-bid ad_format" value='2' <?php echo in_array(2,unserialize($brow['hb_ad_format'])) ? 'checked' : ''; ?> >Video
								</td>
						</tr>
						<tr class='row' id="param_del">
							<td>&nbsp;</td>
						</tr>	
					</table>
				</div>
			</div>
			<div class="control-group" id="param-div">
				<h3>Parameter details</h3>
				<hr/>
				<br/><br/>
				<div style="float: right;">
					<input type="button" id="add_param" value="Add parameter"/>
				</div>
				<div>
					<table>
						<?php
							if(OA_Dal_Delivery_numRows($parname) == 0){ ?>

						<tr class="row">
							<td>&nbsp;</td>
							<td class="bid">Parameter name:<span style="color:red;"> * </span></td>
							<td><input type="text" name="param_name[0]" id="param_name" class="head-bid" placeholder="Ender parameter name" maxlength="50" size="50" style="margin-left: 5px;" required></td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Is this parameter required<span style="color:red;"> * </span></td>
							<td><input type="checkbox" name="param_req[0]" id="param_req" class="head-bid" style="margin-left: 5px;" required></td>
							<td>&nbsp;</td>
						</tr>
						<tr>
							<td>&nbsp;</td>
							<td class="bid">Is the param value adunit Id</td>
							<td><input type="checkbox" name="param_adunit[0]" id="param_adunit" class="head-bid" style="margin-left: 5px;"></td>
							<td>&nbsp;</td>
						</tr>

						<?php
							}

							if(OA_Dal_Delivery_numRows($parname) > 0){
								$count = 1;
								while($prow = OA_Dal_Delivery_fetchAssoc($parname)){
									$req = ($prow['required']==1) ? "checked disabled" : "disabled";
									$req1 = !empty($req) ? 'on' : '';
									$rdonly = !empty($req) ? "readonly" : "";
									$delte = empty($req) ?'<td><img src="assets/images/minus.png" width="19" height="16" align="absmiddle" class="param_delete1" name="param_delete"> </td>' : '';
									
									$param_req = ($prow['adunit_param']==1) ? "checked disabled" : "disabled";
									$param_req1 = !empty($param_req) ? 'on' : '';
									$readdonly = !empty($param_req) ? "readonly" : "";

									echo "<tr class='row'>
										<td>&nbsp;</td>
										<td class='bid'>parameter name:<span style='color:red;'> * </span></td>
										<td><input type='text' name='param_name[".$count."]' id='param_name' class='head-bid' placeholder='Enter parameter name' maxlength='50' size='50' style='margin-left: 10px;' value='".$prow['hb_parameter_name']."' required ".$rdonly."><input type='hidden' class='param_id' name='param_id[".$count."]' id='".$count."' value='".$prow['hb_parameter_id']."'></td>".$delte."
									</tr>
									<tr>
										<td>&nbsp;</td>
										<td class='bid'>Is this parameter required<span style='color:red;'> * </span></td>
										<td><input type='checkbox' name='param_req1[".$count."]' id='param_req' class='head-bid' ".$req." style='margin-left: 10px;'><input type='hidden' name='param_req[".$count."]' value=$req1></td>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
										<td class='bid'>Is the param value adunit Id</td>
										<td><input type='checkbox' name='param_adunit1[".$count."]' id='param_adunit' class='head-bid' ".$param_req." style='margin-left: 10px;'><input type='hidden' name='param_adunit[".$count."]' value=$param_req1></td>
										<td>&nbsp;</td>
									</tr>";
									$count++;
								}							
						
							}	
				
							?>
					</table>
				</div>					
			</div>
			<div>
					<table>
						<tr>
							<td>&nbsp;</td>
							<td><input type="submit" name='submit' value="submit"></td>
						</tr>
					</table>
				</div>
		</form>
	</div>
	</body>
</html>

<?php

// Display the page footer
phpAds_PageFooter();

?>
